#pragma once

#include <SDL3/SDL.h>
#include <utils.hpp>

namespace Game::Audio {
    class Audio {
        public:
            Audio() = default;
            DISABLE_COPY_AND_MOVE(Audio)
            ~Audio();

            static Audio& getInstance(); 
            bool init();
            SDL_AudioDeviceID getAudioDevice() const { return mDevice; }
        
        private:
            SDL_AudioSpec mAudioSpec{};
            SDL_AudioDeviceID mDevice = 0;
    };
};